> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Build to Stock

> This endpoint updates the status of a bill of materials to build to stock.

### Body

<ParamField body="bill_of_materials_id" type="string">
  The ID provided in the data tab may be used to identify the bill\_of\_materials
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the return
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. true if successful, false if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PUT 'https://api.stateset.com/v1/bill_of_materials/:id/buildtostock' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
  }'
  ```

  ```js Node.js theme={null}

  const buildToStock = await stateset.billofmaterials.buildToStock({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
    "object": "bill_of_materials",
    "built_to_stock": true
  }
  ```
</ResponseExample>
